## com.lowagie.text.pdf.codec.wmf
Class InputMeta

    java.lang.Object
      com.lowagie.text.pdf.codec.wmf.InputMeta

    public class InputMeta

extends java.lang.Object

Field Summary
`(package private) java.io.InputStream` `in`
`(package private) int` `length`

Constructor Summary
`InputMeta(java.io.InputStream in)`

Method Summary
`int` `getLength()`
`int` `readByte()`
`java.awt.Color` `readColor()`
`int` `readInt()`
`int` `readShort()`
`int` `readWord()`
`void` `skip(int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    java.io.InputStream in

### length

    int length

Constructor Detail

### InputMeta

    public InputMeta(java.io.InputStream in)

Method Detail

### readWord

    public int readWord()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### readShort

    public int readShort()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readInt

    public int readInt()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readByte

    public int readByte()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### skip

    public void skip(int len)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getLength

    public int getLength()

### readColor

    public java.awt.Color readColor()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`